Foros del Web » Programando para Internet » PHP »

por que??

Estas en el tema de por que?? en el foro de PHP en Foros del Web. Mi unico objetivo es poder ver lo que hago en php cpn el internet explorer, segun autoridades superiores debo instalar los servidores apache y php, ...
  #1 (permalink)  
Antiguo 20/08/2004, 15:35
 
Fecha de Ingreso: febrero-2004
Ubicación: bahia blanca
Mensajes: 280
Antigüedad: 13 años, 10 meses
Puntos: 0
por que??

Mi unico objetivo es poder ver lo que hago en php cpn el internet explorer, segun autoridades superiores debo instalar los servidores apache y php, y configurarlos...hago todo, copio los dlls, modifico el archivo php.ini-dist....el manual dice mas tarde que ahy que modificar el archivo httpd.conf, pero no lo encuentro donde se deberia encontrar, encuentro el httpd y otro que es igual pero con distinto nombre....bueno...esos son mis problemas con esto y lo unico que quiero es "ver" los arhcivos .php con el internet explorer para mirarlos antes de subirlos al servidor
  #2 (permalink)  
Antiguo 20/08/2004, 15:41
Avatar de sism82  
Fecha de Ingreso: octubre-2003
Ubicación: Guadalajara
Mensajes: 865
Antigüedad: 14 años, 1 mes
Puntos: 1
siempre que te acerques a un foro preguntando algo, debes dar informacion escencial como que sistema operativo estas usando, versiones de los programas, servidores y/o aplicaciones.
Supongo, que como estas empezando estas usando windows9x o XP. En cuyo casoel archivo de configuracion de apache normalmente lo tienes al alcanze de inicio > programas > apache > y aqui debe estar.

Todo lo que debes hacer en ese archivo es decirle a apache que cargue el modulo de php (suponiendo que lo vas a instalar como modulo) y que reconozca las extensiones .php con un par de lineas addType application

un saludo
  #3 (permalink)  
Antiguo 20/08/2004, 15:58
 
Fecha de Ingreso: mayo-2004
Mensajes: 571
Antigüedad: 13 años, 6 meses
Puntos: 0
te recomiendo que te instales el appserv te instala php,MYSQL+apache sin tener que configurar nada :D es facil yo lo uso ;)
  #4 (permalink)  
Antiguo 20/08/2004, 16:03
Avatar de sism82  
Fecha de Ingreso: octubre-2003
Ubicación: Guadalajara
Mensajes: 865
Antigüedad: 14 años, 1 mes
Puntos: 1
Cita:
Iniciado por Newphp
te recomiendo que te instales el appserv te instala php,MYSQL+apache sin tener que configurar nada :D es facil yo lo uso ;)
lamentablemente si haces eso, te acostumbras a no aprender nada. Configurar puede costar un poco mas de trabajo, pero como cualquier trabajo, trae a cambio una recompensa, en este caso, una mejor comprension de como se comunican, apache, php y mysql.

Si tienes prisa, tal vez sea buena opcion, pero nunca descartes hacer las cosas tu mismo, por lo menos una vez. Ademas que para aplicaciones mas avanzadas, inequivocamente tendras que editar configuraciones del servidor, php o de la base de datos que utilices.

un saludo
  #5 (permalink)  
Antiguo 20/08/2004, 16:35
 
Fecha de Ingreso: mayo-2004
Mensajes: 571
Antigüedad: 13 años, 6 meses
Puntos: 0
sip eso es inegable :D,aprender se aprender pero es que a mi me saca de mis casillas cada vez que formateo tener que instalar el servidor paso a paso :D

bueno como dice sism82 usalo como ultimo recurso o si tienes prisa ;)
  #6 (permalink)  
Antiguo 20/08/2004, 18:33
Avatar de Gerald  
Fecha de Ingreso: julio-2003
Mensajes: 1.356
Antigüedad: 14 años, 5 meses
Puntos: 2
Apache + PHP + MySql + PhpMyAdmin como módulo de Apache

http://www.maestrosdelweb.com/editorial/phpmysqlap/
__________________
Solo por Hoy: Trataré de fortalecer mi mente. Estudiaré y aprenderé algo útil
Hoteldipity
Arte Caracol
  #7 (permalink)  
Antiguo 20/08/2004, 21:26
 
Fecha de Ingreso: febrero-2004
Ubicación: bahia blanca
Mensajes: 280
Antigüedad: 13 años, 10 meses
Puntos: 0
muchas gracias, ese manual ya lo habia descargado....pero me parece que tiene errores....dice que le saques el ; a las extensiones que deseas utilizar, pero si se las saco, el servidor apache me manda errores cada vez que lo prendo, asi que estan todas desahbilitadas por ahora. Ya solucione mi problema, (no se me abria la prueba con el http://localhost/info.php), lo que sucedio fue que instale php con el apache encendido y abierto.
gracias y espero aprender mucho con este lenguaje.
  #8 (permalink)  
Antiguo 20/08/2004, 21:42
Avatar de clustering  
Fecha de Ingreso: octubre-2003
Ubicación: Cochabamba
Mensajes: 95
Antigüedad: 14 años, 1 mes
Puntos: 0
si estas trabajando en windows el httpd.conf tendria que estar dentro de la carpeta ....\apache\conf\httpd.conf este archivo tienes que editarlo y colocarle estas tres lineas


LoadModule php4_module c:/php/sapi/php4apache.dll
AddModule mod_php4.c
AddType application/x-httpd-php .php

en la primera linea tienes que colocar la direccion correcta de ese archivo php4apache.dll en este caso el mio se encuentra en esa direccion, las demas lineas las colocas como estan reinicias el apache y todo tendria que estar funcionando correctamente.
  #9 (permalink)  
Antiguo 20/08/2004, 21:47
 
Fecha de Ingreso: febrero-2004
Ubicación: bahia blanca
Mensajes: 280
Antigüedad: 13 años, 10 meses
Puntos: 0
ya se en que carpeta se encuentra pero el nombre no es "httpd.conf", solo tienes el httpd que es txt y ottro httpdrecomended
  #10 (permalink)  
Antiguo 20/08/2004, 21:57
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Cita:
Iniciado por masterofpuppets
muchas gracias, ese manual ya lo habia descargado....pero me parece que tiene errores....dice que le saques el ; a las extensiones que deseas utilizar, pero si se las saco, el servidor apache me manda errores cada vez que lo prendo, asi que estan todas desahbilitadas por ahora. Ya solucione mi problema, (no se me abria la prueba con el http://localhost/info.php), lo que sucedio fue que instale php con el apache encendido y abierto.
gracias y espero aprender mucho con este lenguaje.
Si te refieres a la guía de instalación de Apache+PHP+etc de maestrosdelweb.com que dejaron el link .. te puedo asegurar (y los nosecuantos comentarios de usuarios que hay de ese tutorial) que funciona correctamente.

Es más .. si sigues al pié de la letra lo que ahí dice te debería funcionar. Puede ser que algo no esté suficientemente explicado (ya tiene dos revisiones el tutorial para mejorar eso mismo) .. para eso UDs. los que lo han probado no está de más que hagan sus comentarios de como le resultó la instalación (no sólo reportar errores que suelen ser por no haber seguido al pié de la letra dicha guía en la mayoría de los casos).

Por otro lado ... debes tener claro que a fecha de hoy tenemos PHP 4.x y PHP 5.x .. ambas versiones difieren un poco en su configuración y .. en eso te debes fijar bien según el tutorial que uses para guiarte en la instalación. No puedes usar una guía enfocada a PHP 4 .. instalando PHP 5.

Un saludo,

Última edición por Cluster; 20/08/2004 a las 22:00
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 16:26.